/* 
  LCD Demo
  
  CodeVisionAVR C Compiler
  (C) 2000-2007 HP InfoTech S.R.L.
  www.hpinfotech.ro
  
  Chip: ATmega8515
  Memory Model: SMALL
  Data Stack Size: 128 bytes

  Use an 2x16 alphanumeric LCD connected
  to the STK500 PORTC header as follows:

  [LCD]   [STK500 PORTC HEADER]
   1 GND- 9  GND
   2 +5V- 10 VCC  
   3 VLC- LCD contrast control voltage 0..1V
   4 RS - 1  PC0
   5 RD - 2  PC1
   6 EN - 3  PC2
  11 D4 - 5  PC4
  12 D5 - 6  PC5
  13 D6 - 7  PC6
  14 D7 - 8  PC7
*/

// the LCD is connected to PORTC outputs
// see the file lcd.h in the ..\inc directory
#asm
.equ __lcd_port=0x15 ;PORTC
#endasm

// include the LCD driver routines
#include <lcd.h>
//                                                                                    
flash char message[] = {0xA8,0x70,0x6F,0xB3,0x65,0x70,0xBA,0x61,0x20,0xE3,0xB8,0x63,0xBE,0xBB,0x65,0xC7};
//                                                                          
flash char message1[] = {0x50,0x79,0x63,0x63,0xba,0xb8,0xb9,0x20,0xc1,0x70,0xb8,0xe4,0xbf,0x20,0x20,0x20};
                      
//****************************************************************************************************
void main(void)
{

// initialize the LCD for
// 2 lines & 16 columns
lcd_init(16);

// go on the first LCD line
lcd_gotoxy(0,0);

// display the message
lcd_putsf(message);

// go on the second LCD line
lcd_gotoxy(0,1);

// display the message1
lcd_putsf(message1);

// stop here
while (1);
}

